<%@ Page %>
<%@ Import NameSpace = "System.Collections" %>
<%@ Import NameSpace = "CommunityServer.Components" %>
<%@ Import NameSpace = "CommunityServer.Configuration" %>
<%@ Import NameSpace = "System.Text" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<%
		StringBuilder sb = new StringBuilder();
		string[] items = Jobs.Instance().ToString().Split(',');

		sb.Append("<table cellspacing=\"1\" class=\"tableBorder\" cellpadding=\"3\" width=\"100%\"><tr><th>From</th><th>To</th><th>Subject</th><th>Body</th><th>Tries</th></tr>");
		string[] pattern = new string[] {
		 "<tr><td class=\"f\" nowrap>{0}</td><td class=\"f\" nowrap>{1}</td><td class=\"f\" nowrap>{2}</td><td class=\"f\" nowrap>{3}</td><td class=\"f\" nowrap align=\"center\">{4}</td></tr>",
		 "<tr><td class=\"fh\" nowrap>{0}</td><td class=\"fh\" nowrap>{1}</td><td class=\"fh\" nowrap>{2}</td><td class=\"fh\" nowrap>{3}</td><td class=\"fh\" nowrap align=\"center\">{4}</td></tr>"
		 };
		int t = 0;
		foreach (EmailTemplate et in Emails.EmailsInQueue(CSContext.Current.SiteSettings.SettingsID))
		{
			sb.AppendFormat(pattern[t], et.From, et.To, et.Subject, et.Body, et.NumberOfTries);
			t = 1 - t;
		}

		sb.Append("</table>");

		JobInfo.Text = sb.ToString();


%>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
	    <title><CS:ResourceControl id = "HeaderTitle" runat="server" ResourceName="Admin_Title"/></title>
	    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	    <CS:Style id = "AdminStyle" runat="server" Href = "~/admin/style.css" />
    </head>
    <body>    
	    <div id="header">
	        <h1><CS:ResourceControl id = "MainPageTitle" runat="server" ResourceName="Admin_Title" /></h1>
	        <CS:TabControl runat = "Server" ID="AdminTabs" SelectedTab="System" ShowChildren="True" />
	    </div>
	    <div id="main">
		    <div id="contents">
			    <h2><CS:ResourceControl runat="server" ResourceName="Admin_EmailQueue_Title" id = "SectionDescription" /></h2>			
			    <h3><CS:ResourceControl runat="server" ResourceName="Admin_EmailQueue_SubTitle" id = "Section_Sub_Description" /></h3>
                <form runat="server" id = "AdminForm"> 
					<asp:Literal id = "JobInfo" runat = "Server" />
                </form>
		    </div>
	    </div>
	    <CS:GenericControl SkinName = "Skin-AdminFooter.ascx" runat = "Server" id = "Footer" />
    </body>
</html>
